//Copyright (c) 1998 The Open Group
//
//Permission to use, copy, modify, and distribute this software and its documentation for
//any purpose and without fee is hereby granted, provided that the above copyright notice
//appears in all copies and that both the copyright notice and this permission notice
//appear in supporting documentation, and that the name of ("TOG") or The Open Group not
//be used in advertising or publicity pertaining to distribution of the software without
//specific, written prior permission.
//
//THE OPEN GROUP DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL
//IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. IN NO EVENT
//SHALL TOG BE LIABLE FOR ANY SPECIAL, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
//WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN ACTION OF CONTRACT,
//NEGLIGENCE, OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
//PERFORMANCE OF THIS SOFTWARE. 

package ORG.opengroup.axtp.transaction;
import ORG.opengroup.axtp.*;
import java.io.*;

/**
 * An eXecution request.
 */
public class XSupport 
	extends ExecutionObjectSupport
	implements X
{
	private boolean primary=true;
	private long transactionDuration=0;
	private long zid=0;

	public void setPrimary(boolean primary)
	{
		this.primary=primary;
	}

	public boolean getPrimary()
	{
		return primary;
	}

	public boolean isPrimary()
	{
		return primary;
	}

	public void setTransactionDuration(long v)
	{
		transactionDuration=v;
	}

	public long getTransactionDuration()
	{
		return transactionDuration;
	}

	public void setZID(long zid)
	{
		this.zid=zid;
	}

	public long getZID()
	{
		return zid;
	}
}
