//based on the beanbox
package ORG.opengroup.moajar;

// Support for drawing a property value in a Canvas.

import java.awt.*;
import java.beans.*;

class PropertyCanvas extends Canvas {

    PropertyCanvas(Frame frame, PropertyEditor pe) {
	this.frame = frame;
	editor = pe;
    }

    public void paint(Graphics g) {
	Rectangle box = new Rectangle(2, 2, getSize().width, getSize().height);
	editor.paintValue(g, box);
    }

    public boolean handleEvent(Event evt) {
	if (evt.id == Event.MOUSE_DOWN && evt.target == this) {
	    int x = frame.getLocation().x - 30;
	    int y = frame.getLocation().y + 50;
	    new PropertyDialog(frame, editor, x, y);
	}
	return (false);
    }

    public Dimension getPreferredSize() {
	return new Dimension(10, 40);
    }

    private Frame frame;
    private PropertyEditor editor;
}
