//based on the beanbox
package ORG.opengroup.moajar;

// Support for a PropertyEditor that uses text.

import java.awt.*;
import java.beans.*;

class PropertyText extends TextField {

    PropertyText(PropertyEditor pe) {
	super(pe.getAsText());
	editor = pe;
    }

    public void repaint() {
	setText(editor.getAsText());
    }

    public boolean keyUp(Event e, int key) {
	if (e.target == this) {
	    try {
	        editor.setAsText(getText());
	    } catch (IllegalArgumentException ex) {
		// Quietly ignore.
	    }
	}
	return (false);
    }

    private PropertyEditor editor;
}
